Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 354033 - Qt 4.7.2, dependencies, and applications stabilization request
Summary: Qt 4.7.2, dependencies, and applications stabilization request
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 4 votes (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 362981 365309 365365 365719 366455 367583 368149
Blocks: CVE-2011-1586
  Show dependency tree
 
Reported: 2011-02-07 23:07 UTC by Tomáš Chvátal (RETIRED)
Modified: 2012-03-30 14:11 UTC (History)
18 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
List of packages to be stabilized (kde46_stable_list,9.94 KB, text/plain)
2011-04-25 19:20 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized (kde46_stable_list_v2,17.64 KB, text/plain)
2011-04-27 21:23 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized, v3 (kde46_stable_list_v3,17.64 KB, text/plain)
2011-04-27 22:15 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized, v4 (kde46_stable_list_v4,17.76 KB, text/plain)
2011-04-29 13:45 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized, v5 (kde46_stable_list_v5,17.92 KB, text/plain)
2011-04-30 19:45 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized, v6 (kde46_stable_list_v6,17.92 KB, text/plain)
2011-05-01 13:36 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized, v7 (kde46_stable_list_v7,17.92 KB, text/plain)
2011-05-01 22:48 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized, v8 (kde46_stable_list_v8,17.97 KB, text/plain)
2011-05-04 20:33 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized, v9 (kde46_stable_list_v9,17.97 KB, text/plain)
2011-05-07 15:26 UTC, Andreas K. Hüttel
Details
my emerge --info (emrge.info,3.79 KB, text/plain)
2011-05-08 09:38 UTC, Ian Delaney (RETIRED)
Details
emerge --info of my x86 installation (emerge.info.x86,4.92 KB, text/plain)
2011-05-08 20:57 UTC, Jens Stutte
Details
List of packages to be stabilized, v10 (kde46_stable_list_v10,17.97 KB, text/plain)
2011-05-14 13:49 UTC, Andreas K. Hüttel
Details
List of packages to be stabilized, v11 (kde46_stable_list_v11,2.42 KB, text/plain)
2011-06-03 22:16 UTC, Andreas K. Hüttel
Details
packages to be stabilized, v12 (kde46_stable_list_v12,1.29 KB, text/plain)
2011-07-14 20:59 UTC, Andreas K. Hüttel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Chvátal (RETIRED) gentoo-dev 2011-02-07 23:07:43 UTC
Add bugs that we should handle before even start to think about stabling 4.6
Comment 1 Andreas K. Hüttel gentoo-dev 2011-03-08 19:02:48 UTC
Let's collect all 4.6.x bugs here for the moment and decide later which ones are actually stabilization blockers.
Comment 2 Andreas K. Hüttel gentoo-dev 2011-04-25 19:20:04 UTC
Created attachment 271153 [details]
List of packages to be stabilized
Comment 3 Andreas K. Hüttel gentoo-dev 2011-04-27 21:23:19 UTC
Created attachment 271377 [details]
List of packages to be stabilized
Comment 4 Andreas K. Hüttel gentoo-dev 2011-04-27 21:31:53 UTC
Here comes the big one. On behalf of the Qt and KDE teams:
Arches, please test and stabilize the ebuilds listed in the attached text file.
The list includes core KDE and Qt packages, their depedencies and 
extragear/misc KDE/Qt apps as well

After each package name the target keywords are given. 

To obtain the list of packages that should be stabilized on your arch, 
${arch}, I suggest the command

cat stablelist | grep " ${arch}" | sed -e 's: .*$::'

(note the space before ${arch}).

If you encounter problems with single packages, please do not report them here but file a separate bug, blocking this one.

Thank you very much!
Comment 5 Andreas K. Hüttel gentoo-dev 2011-04-27 22:15:18 UTC
Created attachment 271389 [details]
List of packages to be stabilized, v3

(newer revision of kde-base/kalarm, fixing a crash bug)
Comment 6 Bruno Redondi 2011-04-29 11:41:02 UTC
after extracting amd64 packages from the list and adding them to packages.keywords, emerge -pDu world fails with the following error:

!!! The following update has been skipped due to unsatisfied dependencies:

kde-base/kdenetwork-meta:4.6

!!! All ebuilds that could satisfy ">=kde-base/kopete-4.6.2[aqua=,-kdeprefix]" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kopete-4.6.2 (masked by: ~amd64 keyword)

(dependency required by "kde-base/kdenetwork-meta-4.6.2" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



!!! The following update(s) have been skipped due to unsatisfied dependencies
!!! triggered by backtracking:

kde-base/kde-meta:4.6




adding =kde-base/kopete-4.6.2 to packages.keyword solves the problem
Comment 7 Agostino Sarubbo gentoo-dev 2011-04-29 12:34:41 UTC
@kde

adding also dev-libs/libpqxx:3
Comment 8 Andreas K. Hüttel gentoo-dev 2011-04-29 13:45:49 UTC
Created attachment 271551 [details]
List of packages to be stabilized, v4

(add missing: kde-base/kopete, dev-libs/libpqxx, sci-geosciences/gpsd)
Comment 9 Richard H. 2011-04-30 06:49:44 UTC
ktorrent-4.0.5 does not compile with libktorrent-1.1.0, ktorrent-4.1.0 does.
(amd64)
Comment 10 Eugeny Shkrigunov 2011-04-30 06:50:10 UTC
Hi!
Sorry for my English.

There is a blocking problem: the removable media is not available due to problems in polkit-kde-authentication-agent-1
See the bug: https://bugs.kde.org/show_bug.cgi?id=237450
Comment 11 Andreas K. Hüttel gentoo-dev 2011-04-30 19:45:26 UTC
Created attachment 271671 [details]
List of packages to be stabilized, v5

(add missing version number to gpsd; drop ppc stabilization request from digikam and kipi-plugins because of too many new dependencies; add opencv-2.2.0 and its dependencies clapack-3.2.1-r4, flann-1.6.8, libv4l-0.8.3 on request from qa; fix ktorrent version number)
Comment 12 Andreas K. Hüttel gentoo-dev 2011-05-01 12:22:50 UTC
(In reply to comment #10)
> There is a blocking problem: the removable media is not available due to
> problems in polkit-kde-authentication-agent-1
> See the bug: https://bugs.kde.org/show_bug.cgi?id=237450

Please file a separate bug, together with the debug info. Here only the stabilization is handled.

(Unfortunately the link to the KDE bugzilla is not very useful, resolved UPSTREAM and all duplicates are with OpenSuSE.)
Comment 13 Andreas K. Hüttel gentoo-dev 2011-05-01 13:36:17 UTC
Created attachment 271749 [details]
List of packages to be stabilized, v6

(bump kdepim-l10n revision because of bug 365365)
Comment 14 Andreas K. Hüttel gentoo-dev 2011-05-01 22:48:25 UTC
Created attachment 271817 [details]
List of packages to be stabilized, v7

(bump >>> kdelibs <<< revision to address bug 365633, only trivial change)
Comment 15 Thomas Kahle (RETIRED) gentoo-dev 2011-05-02 15:08:01 UTC
I ran into bug 365719 and amarok loosing it's statistics.  I consider this blocking, at least for x86.
Comment 16 Andreas Schürch gentoo-dev 2011-05-04 07:30:42 UTC
Another one that seems to be missing in the list:
For USE=indi, kde-base/kstars-4.6.2 needs indilib which is
- sci-libs/indilib-0.7.2 (masked by: ~x86 keyword)
Comment 17 Andreas K. Hüttel gentoo-dev 2011-05-04 20:33:47 UTC
Created attachment 272127 [details]
List of packages to be stabilized, v8

(added sci-libs/indilib-0.7.2)
Comment 18 Richard H. 2011-05-07 08:59:16 UTC
ktorrent-4.1.0 is gone, 4.1.1 is in tree but not in the list, so portage wants to downgrade.
Comment 19 Richard H. 2011-05-07 12:41:11 UTC
4.6.3 is on it's way. Will it be stabilized, or will we stay at 4.6.2?
Comment 20 Andreas K. Hüttel gentoo-dev 2011-05-07 15:26:09 UTC
Created attachment 272395 [details]
List of packages to be stabilized, v9

(upgrade ktorrent, libktorrent; crashbugfix release)

(In reply to comment #18)
> ktorrent-4.1.0 is gone, 4.1.1 is in tree but not in the list, so portage wants
> to downgrade.
Comment 21 Ian Delaney (RETIRED) gentoo-dev 2011-05-07 20:02:54 UTC
amd64

emerged all of [Qt all] thru to Misc/Extragear Qt and KDE applications and dependencies.

Nothing could not emerge with tests set.

kde is so comprehensive.  Brought up in a nested X.

Nothing that doesn't work as expected.
All qt dev apps up & running.

Just koffice and a few others to go which included ktorrent.
Comment 22 Jens Stutte 2011-05-08 07:32:55 UTC
x86

I did the upgrade to 4.6.2 (together with openrc update) on my full-loaded homeserver (mail, web, dns, vdr, ...), everything went fine but I had to adjust some use-flags (this is not a bug):

net-nds/openldap gnutls
app-mobilephone/obexd -server
dev-python/PyQt4 declarative

Did no excessive testing yet, though, but it seems to work.

BTW, plus one for the question about 4.6.3 or 4.6.2 to be stabilized. If you are planning to stabilize 4.6.3, I will go ahead, otherwise I will stuck with 4.6.2.

Thanks for your work
Comment 23 Ian Delaney (RETIRED) gentoo-dev 2011-05-08 09:35:12 UTC
amd64.

Emerged # digikam through to # qt-creator (order by entry in list).

The koffice packages seem to have no tests.
ktorrent emerged without fuss.
4 failed an emerge triggered by the test phase;

libpqxx, flann, kdevelop & digikam.  The libpqxx misses re database needs. 

All emerged bypassing the test phase.
Comment 24 Ian Delaney (RETIRED) gentoo-dev 2011-05-08 09:38:56 UTC
Created attachment 272463 [details]
my emerge --info
Comment 25 Nikoli 2011-05-08 16:01:16 UTC
List needs updating: media-libs/phonon-gstreamer-4.5.0 was removed from portage and replaced by version 4.5.1.
Comment 26 Jens Stutte 2011-05-08 20:57:40 UTC
Created attachment 272535 [details]
emerge --info of my x86 installation

PS: I forgot to put the emerge --info. This machine is quite loaded. Build was done through normal but deep world update without testing phase.
Comment 27 Andreas K. Hüttel gentoo-dev 2011-05-08 21:24:07 UTC
(In reply to comment #25)
> List needs updating: media-libs/phonon-gstreamer-4.5.0 was removed from portage
> and replaced by version 4.5.1.

No more updates. 4.5.0 has been restored.
Comment 28 Thomas Kahle (RETIRED) gentoo-dev 2011-05-09 09:06:27 UTC
Ok, I did v9 for x86. Thanks everybody.
Comment 29 Markos Chandras (RETIRED) gentoo-dev 2011-05-09 23:25:59 UTC
amd64 done
Comment 30 Ian Douglas 2011-05-11 13:14:02 UTC
(In reply to comment #29)
> amd64 done

Not here :-)

system-config-printer-kde

>>> Install system-config-printer-kde-4.6.2 into /var/tmp/portage/kde-base/system-config-printer-kde-4.6.2/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/system-config-printer-kde-4.6.2/work/system-config-printer-kde-4.6.2_build"
make -j2 DESTDIR=/var/tmp/portage/kde-base/system-config-printer-kde-4.6.2/image/ install 
make: *** No rule to make target `install'.  Stop.
emake failed
 * ERROR: kde-base/system-config-printer-kde-4.6.2 failed (install phase):
 *   died running make install, base_src_install
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_install
 *   environment, line 6805:  Called kde4-meta_src_install
 *   environment, line 4248:  Called kde4-base_src_install
 *   environment, line 3858:  Called cmake-utils_src_install
 *   environment, line 1942:  Called _execute_optionaly 'src_install'
 *   environment, line  884:  Called enable_cmake-utils_src_install
 *   environment, line 2266:  Called base_src_install
 *   environment, line 1586:  Called die
 * The specific snippet of code:
 *       emake DESTDIR="${D}" "$@" install || die "died running make install, $FUNCNAME";



 emerge --info =kde-base/system-config-printer-kde-4.6.2
Portage 2.1.9.42 (default/linux/amd64/10.0, gcc-4.4.5, libc-0-r0, 2.6.36-gentoo-r8 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.36-gentoo-r8-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6000+-with-gentoo-2.0.2
Timestamp of tree: Wed, 11 May 2011 03:00:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.2-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
sys-kernel/linux-headers: 2.6.36.1
sys-libs/glibc:      2.11.3
virtual/os-headers:  0
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA skype-eula dlj-1.1 googleearth AdobeFlash-10 AdobeFlash-10.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/app-defaults /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_ZA.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 apm bash-completion berkdb bzip2 cairo caps cdda cddb cdr cgi cjk cli consolekit cracklib crypt css cups curl cxx dbus declarative device-mapper dgadts disk-partition djvu dri dri2 dv dvd dvdr embedded encode exif extensions extras fastcgi ffmpeg firefox flac foomaticdb fortran ftp fts3 gd gdbm geoip gif gimp gnome gnutls gphoto2 gpm gstreamer gtk handbook htmlhandbook iconv icu idn ieee1394 imagemagick imlib innodb ipv6 java javascript jbig jdbc jikes joystick jpeg jpeg2k kde kontact lcms libnotify libsampleratelm_sensors libwww mad matroska mime mmx mng modules mp3 mp4 mpeg mpi mplayer mtp mudflap multilib mysql mysqli ncurses nls nptl nptlonly nsplugin nvidia offensive ogg opengl openmp pam pcm pcre pdf perl php plasma png policykit posix ppds pppd pulseaudio python qt3support qt4 quicktime rar raw readline reports samba scanner sdl secure-delete session sndfile sockets spell sql sse sse2 ssl subversion svg sysfs tcpd theora threads tidy tiff timidity truetype udev unicode usb v4l v4l2 vcd vhosts vorbis webkit wmf xattr xcomposite xft xine xinerama xml xmlrpc xorg xpm xulrunner zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


Any help gratefully received. see
http://forums.gentoo.org/viewtopic-p-6682673.html

thanks, Ian
Comment 31 Tomáš Chvátal (RETIRED) gentoo-dev 2011-05-11 13:35:39 UTC
(In reply to comment #30)
> (In reply to comment #29)
> > amd64 done
> 
> Not here :-)
*** SNIP ***
> 
> 
> Any help gratefully received. see
> http://forums.gentoo.org/viewtopic-p-6682673.html
> 
> thanks, Ian

For love of god, please open separate bug for your issues, this bug is ONLY for the stabilisation process.
And also paste FULL build.log file when you do so.
Comment 32 Andreas K. Hüttel gentoo-dev 2011-05-14 13:49:17 UTC
Created attachment 273197 [details]
List of packages to be stabilized, v10

(for ppc: bump kget revision to 4.6.2-r1 to include security fix)
Comment 33 Brent Baude (RETIRED) gentoo-dev 2011-06-01 20:50:10 UTC
all but krossjava done. I couldnt get it to work and nothing deps it.
Comment 34 Andreas K. Hüttel gentoo-dev 2011-06-03 22:11:15 UTC
All KDE stuff is done.
Comment 35 Andreas K. Hüttel gentoo-dev 2011-06-03 22:16:47 UTC
Created attachment 275747 [details]
List of packages to be stabilized, v11

(remove stuff that has been done already)
Comment 36 Markus Meier gentoo-dev 2011-06-05 12:36:35 UTC
arm stable
Comment 37 Raúl Porcel (RETIRED) gentoo-dev 2011-06-18 16:15:40 UTC
qt-webkit-4.7 is broken on alpha.
qt-4.7* is broken on ia64/sparc

therefore i don't plan in keywording it soon. The worst thing is that upstream doesn't care about those arches, so...
Comment 38 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-07-13 14:55:50 UTC
ppc64 done
Comment 39 Andreas K. Hüttel gentoo-dev 2011-07-14 20:53:16 UTC
alpha, hppa, ia64, sparc; ping :) 
it would be great to finish off this
Comment 40 Andreas K. Hüttel gentoo-dev 2011-07-14 20:59:48 UTC
Created attachment 280073 [details]
packages to be stabilized, v12

(simplified list, removing all that has been completed)
Comment 41 Jeroen Roovers (RETIRED) gentoo-dev 2011-07-31 19:52:34 UTC
(In reply to comment #39)
> alpha, hppa, ia64, sparc; ping :) 
> it would be great to finish off this

Then maybe you should respond to bug #367583. It blocks this one.
Comment 42 Andreas K. Hüttel gentoo-dev 2011-11-04 22:44:04 UTC
Nothing to do here for kde anymore.
Comment 43 Davide Pesavento gentoo-dev 2012-03-30 14:11:49 UTC
Of the remaining arches, only hppa seems actively interested in stabilizing Qt 4.7.x, but we're going to skip 4.7.2 and jump directly to 4.7.4.

sparc is known to be broken in 4.7, thus it won't go stable. We will see what happens with 4.8.x.

@alpha, you don't even have 4.7.x ~keyworded, so I'm assuming you don't care.

@ia64, I'm moving you to the 4.7.4 stabilization bug too, in case you're still interested.

Closing.